/*
 * Copyright (c) 2000, 2001 Manuel Kauers, Stefan Rhrich
 * Alle Rechte vorbehalten.
 */

package picture;
/**
 * Enthaelt die finalen Integerkonstanten zur Spezifizierung von Anzeige-
 * und speicherformaten
 */
public interface PictureConstants {

    public static final int SAVE_REAL_PART = 0;
    public static final int SAVE_IMAGINARY_PART = 1;
    public static final int SAVE_POLAR_ANGLE = 2;
    public static final int SAVE_ABSOLUTE_VALUE = 3;
    public static final int SAVE_COMPLEX = 4;

    public static final int PRESENT_REAL_PART = SAVE_REAL_PART;
    public static final int PRESENT_IMAGINARY_PART = SAVE_IMAGINARY_PART;
    public static final int PRESENT_POLAR_ANGLE = SAVE_POLAR_ANGLE;
    public static final int PRESENT_ABSOLUTE_VALUE = SAVE_ABSOLUTE_VALUE;
}
